<?php

$conference_event_planner_tp_theme_css = '';

$conference_event_planner_tp_color_option = get_theme_mod('conference_event_planner_tp_color_option');

// 1st color
$conference_event_planner_tp_color_option = get_theme_mod('conference_event_planner_tp_color_option', '#F5167E');
if ($conference_event_planner_tp_color_option) {
	$conference_event_planner_tp_theme_css .= ':root {';
	$conference_event_planner_tp_theme_css .= '--color-primary1: ' . esc_attr($conference_event_planner_tp_color_option) . ';';
	$conference_event_planner_tp_theme_css .= '}';
}

//second color
$conference_event_planner_tp_color_option_link = get_theme_mod('conference_event_planner_tp_color_option_link');
$conference_event_planner_tp_color_option_link = get_theme_mod('conference_event_planner_tp_color_option_link', '#2b22d4');
if ($conference_event_planner_tp_color_option_link) {
	$conference_event_planner_tp_theme_css .= ':root {';
	$conference_event_planner_tp_theme_css .= '--color-primary2: ' . esc_attr($conference_event_planner_tp_color_option_link) . ';';
	$conference_event_planner_tp_theme_css .= '}';
}

//preloader//
$conference_event_planner_tp_preloader_color1_option = get_theme_mod('conference_event_planner_tp_preloader_color1_option');
$conference_event_planner_tp_preloader_color2_option = get_theme_mod('conference_event_planner_tp_preloader_color2_option');
$conference_event_planner_tp_preloader_bg_option = get_theme_mod('conference_event_planner_tp_preloader_bg_option');


if($conference_event_planner_tp_preloader_color1_option != false){
$conference_event_planner_tp_theme_css .='.center1{';
	$conference_event_planner_tp_theme_css .='border-color: '.esc_attr($conference_event_planner_tp_preloader_color1_option).' !important;';
$conference_event_planner_tp_theme_css .='}';
}
if($conference_event_planner_tp_preloader_color1_option != false){
$conference_event_planner_tp_theme_css .='.center1 .ring::before{';
	$conference_event_planner_tp_theme_css .='background: '.esc_attr($conference_event_planner_tp_preloader_color1_option).' !important;';
$conference_event_planner_tp_theme_css .='}';
}
if($conference_event_planner_tp_preloader_color2_option != false){
$conference_event_planner_tp_theme_css .='.center2{';
	$conference_event_planner_tp_theme_css .='border-color: '.esc_attr($conference_event_planner_tp_preloader_color2_option).' !important;';
$conference_event_planner_tp_theme_css .='}';
}
if($conference_event_planner_tp_preloader_color2_option != false){
$conference_event_planner_tp_theme_css .='.center2 .ring::before{';
	$conference_event_planner_tp_theme_css .='background: '.esc_attr($conference_event_planner_tp_preloader_color2_option).' !important;';
$conference_event_planner_tp_theme_css .='}';
}
if($conference_event_planner_tp_preloader_bg_option != false){
$conference_event_planner_tp_theme_css .='.loader{';
	$conference_event_planner_tp_theme_css .='background: '.esc_attr($conference_event_planner_tp_preloader_bg_option).';';
$conference_event_planner_tp_theme_css .='}';
}

// footer-bg-color
$conference_event_planner_tp_footer_bg_color_option = get_theme_mod('conference_event_planner_tp_footer_bg_color_option');

if($conference_event_planner_tp_footer_bg_color_option != false){
$conference_event_planner_tp_theme_css .='#footer{';
	$conference_event_planner_tp_theme_css .='background: '.esc_attr($conference_event_planner_tp_footer_bg_color_option).' !important;';
$conference_event_planner_tp_theme_css .='}';
}

// logo tagline color
$conference_event_planner_site_tagline_color = get_theme_mod('conference_event_planner_site_tagline_color');

if($conference_event_planner_site_tagline_color != false){
$conference_event_planner_tp_theme_css .='.logo p a, .logo p.site-title a{';
$conference_event_planner_tp_theme_css .='color: '.esc_attr($conference_event_planner_site_tagline_color).';';
$conference_event_planner_tp_theme_css .='}';
}

$conference_event_planner_logo_tagline_color = get_theme_mod('conference_event_planner_logo_tagline_color');
if($conference_event_planner_logo_tagline_color != false){
$conference_event_planner_tp_theme_css .='p.site-description{';
$conference_event_planner_tp_theme_css .='color: '.esc_attr($conference_event_planner_logo_tagline_color).';';
$conference_event_planner_tp_theme_css .='}';
}

// footer widget title color
$conference_event_planner_footer_widget_title_color = get_theme_mod('conference_event_planner_footer_widget_title_color');
if($conference_event_planner_footer_widget_title_color != false){
$conference_event_planner_tp_theme_css .='#footer h3{';
$conference_event_planner_tp_theme_css .='color: '.esc_attr($conference_event_planner_footer_widget_title_color).';';
$conference_event_planner_tp_theme_css .='}';
}

// copyright text color
$conference_event_planner_footer_copyright_text_color = get_theme_mod('conference_event_planner_footer_copyright_text_color');
if($conference_event_planner_footer_copyright_text_color != false){
$conference_event_planner_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$conference_event_planner_tp_theme_css .='color: '.esc_attr($conference_event_planner_footer_copyright_text_color).';';
$conference_event_planner_tp_theme_css .='}';
}


// header image title color
$conference_event_planner_header_image_title_text_color = get_theme_mod('conference_event_planner_header_image_title_text_color');
if($conference_event_planner_header_image_title_text_color != false){
$conference_event_planner_tp_theme_css .='.box-text h2{';
$conference_event_planner_tp_theme_css .='color: '.esc_attr($conference_event_planner_header_image_title_text_color).';';
$conference_event_planner_tp_theme_css .='}';
}

// menu color
$conference_event_planner_menu_color = get_theme_mod('conference_event_planner_menu_color');
if($conference_event_planner_menu_color != false){
$conference_event_planner_tp_theme_css .='.main-navigation a{';
$conference_event_planner_tp_theme_css .='color: '.esc_attr($conference_event_planner_menu_color).';';
$conference_event_planner_tp_theme_css .='}';
}

//Footer Font Weight
$conference_event_planner_footer_copyright_title_font_weight = get_theme_mod( 'conference_event_planner_footer_copyright_title_font_weight','');
if($conference_event_planner_footer_copyright_title_font_weight == '100'){
$conference_event_planner_tp_theme_css .='#footer .site-info p {';
    $conference_event_planner_tp_theme_css .='font-weight: 100;';
$conference_event_planner_tp_theme_css .='}';
}else if($conference_event_planner_footer_copyright_title_font_weight == '200'){
$conference_event_planner_tp_theme_css .='#footer .site-info p {';
    $conference_event_planner_tp_theme_css .='font-weight: 200;';
$conference_event_planner_tp_theme_css .='}';
}else if($conference_event_planner_footer_copyright_title_font_weight == '300'){
$conference_event_planner_tp_theme_css .='#footer .site-info p {';
    $conference_event_planner_tp_theme_css .='font-weight: 300;';
$conference_event_planner_tp_theme_css .='}';
}else if($conference_event_planner_footer_copyright_title_font_weight == '400'){
$conference_event_planner_tp_theme_css .='#footer .site-info p {';
    $conference_event_planner_tp_theme_css .='font-weight: 400;';
$conference_event_planner_tp_theme_css .='}';
}else if($conference_event_planner_footer_copyright_title_font_weight == '500'){
$conference_event_planner_tp_theme_css .='#footer .site-info p {';
    $conference_event_planner_tp_theme_css .='font-weight: 500;';
$conference_event_planner_tp_theme_css .='}';
}else if($conference_event_planner_footer_copyright_title_font_weight == '600'){
$conference_event_planner_tp_theme_css .='#footer .site-info p {';
    $conference_event_planner_tp_theme_css .='font-weight: 600;';
$conference_event_planner_tp_theme_css .='}';
}else if($conference_event_planner_footer_copyright_title_font_weight == '700'){
$conference_event_planner_tp_theme_css .='#footer .site-info p {';
    $conference_event_planner_tp_theme_css .='font-weight: 700;';
$conference_event_planner_tp_theme_css .='}';
}else if($conference_event_planner_footer_copyright_title_font_weight == '800'){
$conference_event_planner_tp_theme_css .='#footer .site-info p {';
    $conference_event_planner_tp_theme_css .='font-weight: 800;';
$conference_event_planner_tp_theme_css .='}';
}else if($conference_event_planner_footer_copyright_title_font_weight == '900'){
$conference_event_planner_tp_theme_css .='#footer .site-info p {';
    $conference_event_planner_tp_theme_css .='font-weight: 900;';
$conference_event_planner_tp_theme_css .='}';
}